summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/linhes-live/lib/initcpio/hooks
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2008-10-13 17:31:29 (GMT)
committerJames Meyer <james.meyer@operamail.com>2008-10-13 17:31:29 (GMT)
commit80973a1e434e479bc83f71ad4914addea4ef9f70 (patch)
treee87364537a8f7a01e88891ae75314b150e284c80 /abs/core-testing/linhes-live/lib/initcpio/hooks
parentdc5e18dd928b29d319cb95d3d5c5c39daf05c9de (diff)
downloadlinhes_pkgbuild-80973a1e434e479bc83f71ad4914addea4ef9f70.zip
linhes_pkgbuild-80973a1e434e479bc83f71ad4914addea4ef9f70.tar.gz
linhes_pkgbuild-80973a1e434e479bc83f71ad4914addea4ef9f70.tar.bz2
Add check & delay for usb cdroms
Diffstat (limited to 'abs/core-testing/linhes-live/lib/initcpio/hooks')
-rw-r--r--abs/core-testing/linhes-live/lib/initcpio/hooks/larch15
1 files changed, 5 insertions, 0 deletions
diff --git a/abs/core-testing/linhes-live/lib/initcpio/hooks/larch1 b/abs/core-testing/linhes-live/lib/initcpio/hooks/larch1
index e1a3753..88ccc3e 100644
--- a/abs/core-testing/linhes-live/lib/initcpio/hooks/larch1
+++ b/abs/core-testing/linhes-live/lib/initcpio/hooks/larch1
@@ -115,6 +115,11 @@ run_hook ()
test_live_data_dir "${d}" "${cdmount}"
if [ $? -eq 0 ]; then break 2; fi
done
+ msg_ ":: Searching for usb cdroms .."
+ for d in /dev/sr[0-9]*; do
+ test_live_data_dir "${d}" "${cdmount}"
+ if [ $? -eq 0 ]; then break 2; fi
+ done
done
fi
}